# Generated by Django 3.1.5 on 2021-05-07 21:17

import applications.user_profile.models
import datetime
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Group',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=125, unique=True, verbose_name='Group name')),
            ],
            options={
                'verbose_name': 'Група',
                'verbose_name_plural': 'Групи',
            },
        ),
        migrations.CreateModel(
            name='User',
            fields=[
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('id', models.UUIDField(db_index=True, default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True)),
                ('created_ad', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('username', models.CharField(max_length=255, unique=True)),
                ('first_name', models.CharField(blank=True, max_length=100, null=True)),
                ('last_name', models.CharField(blank=True, max_length=100, null=True)),
                ('email', models.EmailField(max_length=254, unique=True)),
                ('gender', models.CharField(choices=[('Man', 'Man'), ('Woman', 'Woman')], max_length=10)),
                ('bio', models.TextField(blank=True, default='', max_length=2000, verbose_name='Biography')),
                ('photo', models.ImageField(blank=True, default='default.jpg', upload_to='profile_pic')),
                ('vk_link', models.URLField(verbose_name='Link VK')),
                ('fb_link', models.URLField(verbose_name='Link Facebook')),
                ('inst_link', models.URLField(verbose_name='Link Instagram')),
                ('tg_link', models.CharField(max_length=100, verbose_name='Link Telegram')),
                ('wt_link', models.CharField(max_length=100, verbose_name='Link WhatsApp')),
                ('referral_link', models.URLField(blank=True, null=True, verbose_name='Referral Link x100')),
                ('referrals', models.CharField(default='admin', max_length=200)),
                ('is_paid', models.BooleanField(default=False)),
                ('end_time', models.DateTimeField(default=datetime.datetime(2021, 5, 8, 0, 17, 42, 834535), null=True, verbose_name='Закінчення підписки')),
                ('is_superuser', models.BooleanField(default=False)),
                ('is_staff', models.BooleanField(default=False)),
                ('is_active', models.BooleanField(default=True)),
                ('auth_provider', models.CharField(default='email', max_length=255)),
                ('group_id', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='group', to='user_profile.group')),
            ],
            options={
                'verbose_name': 'Користувач',
                'verbose_name_plural': 'Користувачі',
            },
            managers=[
                ('objects', applications.user_profile.models.CustomUserManager()),
            ],
        ),
    ]
